###############################################################################
## Makefile.linux - System Dependent Makefile for Linux
##
## Bradford W. Mott
## July 3,1994
###############################################################################

## C and C++ compiler to use
CC = gcc
CXX = g++

## C and C++ compiler flags
CCFLAGS = -O
CXXFLAGS = -O -ansi -Wall -D_G_NO_EXTERN_TEMPLATES -DUSE_STD -Wno-deprecated

## System Includes
SYS_INCLUDES =

## System Libraries
SYS_LIBS = -lstdc++

## Archiver
AR = ar

## Archiver create flags
AR_CREATE_FLAGS = r

## Library index generator
RANLIB = ranlib

## Installion programs
INSTALL = install
STRIP = strip
MKDIR = mkdir -p

## Make parameters that need to be passed
DEPENDENT_PARMS = CC='$(CC)' CXX='$(CXX)' CCFLAGS='$(CCFLAGS)' \
        CXXFLAGS='$(CXXFLAGS)' \
        AR='$(AR)' AR_CREATE_FLAGS='$(AR_CREATE_FLAGS)' \
	RANLIB='$(RANLIB)' \
	SYS_INCLUDES='$(SYS_INCLUDES)' SYS_LIBS='$(SYS_LIBS)' \
	INSTALL='$(INSTALL)' STRIP='$(STRIP)' MKDIR='$(MKDIR)'

## Include the system independent makefile
include Makefile.common


